/*
    Copyright (C) 2010 Casey Link <unnamedrambler@gmail.com>
    Copyright (C) 2009-2010 Klaralvdalens Datakonsult AB, a KDAB Group company <info@kdab.net>

    This library is free software; you can redistribute it and/or modify it
    under the terms of the GNU Library General Public License as published by
    the Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    This library is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
    License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to the
    Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
    02110-1301, USA.
*/

#ifndef INCIDENCEATTENDEE_H
#define INCIDENCEATTENDEE_H

#include "incidenceeditor-ng.h"

class KComboBox;
class QGridLayout;
class QLabel;

namespace Ui {
class EventOrTodoDesktop;
class EventOrTodoMore;
}

namespace KABC {
  class Addressee;
}

namespace IncidenceEditorsNG {

class AttendeeEditor;

class INCIDENCEEDITORS_NG_EXPORT IncidenceAttendee : public IncidenceEditor
{
  Q_OBJECT
public:
#ifdef KDEPIM_MOBILE_UI  
    IncidenceAttendee( Ui::EventOrTodoMore *ui = 0 );
#else
    IncidenceAttendee( Ui::EventOrTodoDesktop *ui = 0 );
#endif

    virtual void load( KCal::Incidence::ConstPtr incidence );
    virtual void save( KCal::Incidence::Ptr incidence );
    virtual bool isDirty() const;
    virtual bool isValid();
signals:
    void attendeeCountChanged( int );

private slots:
    void slotSelectAddresses();
private:
    /** Reads values from a KABC::Addressee and inserts a new Attendee
     * item into the listview with those items. Used when adding attendees
     * from the addressbook and expanding distribution lists.
     * The optional Attendee parameter can be used to pass in default values
     * to be used by the new Attendee. */
    void insertAttendeeFromAddressee( const KABC::Addressee &a );
    void fillOrganizerCombo();

#ifdef KDEPIM_MOBILE_UI
    Ui::EventOrTodoMore *mUi;
#else
    Ui::EventOrTodoDesktop *mUi;
#endif    
    AttendeeEditor *mAttendeeEditor;
};

}

#endif //INCIDENCEATTENDEE_H
